## linuxdoc-tools 0.9.21

=== debian/changelog ===
linuxdoc-tools (0.9.21) unstable; urgency=low

  * Another Debian specific change
    - set versioned dependency to linuxdoc-tools from text/latex/info
      driver backend (dependency only dummy ) packages.
      Thanks to Paul Slootman for his kind advice (Closes: #138680)
    - use shell scripts for producing better error messages 
      instead of just symlinks (sgml2txt, sgml2latex, and sgml2info)

 -- Taketoshi Sano <sano@debian.org>  Mon, 25 Mar 2002 22:16:20 +0900

linuxdoc-tools (0.9.20) unstable; urgency=low

  * No hyphenation for text output (.nh in groff stylesheet)
  * Debian specific change
    - Revert to put sgml2{txt,info,latex} into main package
      because the new split setup breaks build process of many
      package at our buildd.  Thanks to Ryan Murray for his input
      about this problem.

 -- Taketoshi Sano <sano@debian.org>  Tue, 19 Mar 2002 02:37:21 +0900

linuxdoc-tools (0.9.19) unstable; urgency=low

  * Several Documentation update.
    - now sgml2* and sgmlcheck commands are obsoleted.
      Please switch to use the new single command "linuxdoc"
      and the "-B" option to choose the proper backend drivers.
  * Debian specific change
    - fix the package description. (Closes #138680)

 -- Taketoshi Sano <sano@debian.org>  Mon, 18 Mar 2002 22:32:01 +0900

linuxdoc-tools (0.9.18) unstable; urgency=low

  * Debian specific change
    - fix the shell script for sgml2txt and sgml2info
      Thanks to Michael Fedrowitz for his report (Closes: #135376)

 -- Taketoshi Sano <sano@debian.org>  Mon, 25 Feb 2002 00:30:27 +0900

linuxdoc-tools (0.9.17) unstable; urgency=low

  * Just the Debian specific change.
    - fix dependencies from groff-base to groff (Closes: #120867)
    - The obsoleted commands "sgml2*" aren't "binaries" at all,
      but wishes are granted anyway.  They are contained in each
      "dummy" packages now.  (The functions are still provided
      by the common main command; i.e. linuxdoc. So users can
      convert linuxdoc sgml source into text without dummy pkgs ;)

 -- Taketoshi Sano <sano@debian.org>  Mon, 18 Feb 2002 20:05:14 +0900

linuxdoc-tools (0.9.16) unstable; urgency=low

  * fix mapping files for latex output.  Thanks to Xavier Venient
    for his patch. (Closes: #130396)
  * Makefile.in: change from "@datadir@" to "$(datadir)" for pkgdatadir
    Thanks to Tim Waugh for his valuable advices.
  * ./lib/{url.sty,epsf.sty,epsf.tex}: moved to ./obsoleted since
    the newer version of them are available from teTeX distribution.
  * fix a typo in man/linuxdoc.1 (tex -> txt).
  * create dummy packages for required dependencies. (Closes: #120867)

 -- Taketoshi Sano <sano@debian.org>  Tue, 29 Jan 2002 00:56:52 +0900

linuxdoc-tools (0.9.15) unstable; urgency=low

  * fix a remaining bug in Makefile.in

 -- Taketoshi Sano <sano@debian.org>  Sun,  2 Dec 2001 23:20:14 +0900

linuxdoc-tools (0.9.14) unstable; urgency=low

  * changes based on the patches from Tim Waugh:
     - add "-R" option to dvips in lib/dist/fmt_latex2e.pl
     - fix a simple bug in rtf2rtf.l
     - fix configure.in and Makefile.in for sane installation
     - update doc/Makedoc.sh to keep up with other changes

 -- Taketoshi Sano <sano@debian.org>  Sun,  2 Dec 2001 08:16:18 +0900

linuxdoc-tools (0.9.13) unstable; urgency=low

  * forgot to update the VERSION file. fixed.

 -- Taketoshi Sano <sano@debian.org>  Mon, 26 Nov 2001 23:45:19 +0900

linuxdoc-tools (0.9.12) unstable; urgency=low

  * Update mapping files for latex output to fix a problem
    related multiple occuring of url/htmlurl in single line.
    Thanks to Xavier Venient <xvenient@free.fr> for finding 
    this problem and providing a sample sgml source.
  * run texhash only gets removed. moved from prerm to postrm.
    (Closes: #118893)

 -- Taketoshi Sano <sano@debian.org>  Wed, 14 Nov 2001 00:49:28 +0900

linuxdoc-tools (0.9.11) unstable; urgency=low

  * add entry for multi-line DTD declaration style
    on DTD detection code.  Thanks to Martin Schulze <joey>
    to inform this problem to me.

 -- Taketoshi Sano <sano@debian.org>  Thu, 18 Oct 2001 22:36:04 +0900

linuxdoc-tools (0.9.10) unstable; urgency=low

  * modify html stylesheet (lib/dists/linuxdoc-tools/html/mapping)
    in order to enable the usage of <manpage> element in both of
    groff (man) and html output. This is requested from the maintainer
    of urlview. Closes: #90870
  * add error message in LinuxDocTools.pm for file creation failure.
    Closes: #111256

 -- Taketoshi Sano <sano@debian.org>  Sun,  9 Sep 2001 12:52:43 +0900

linuxdoc-tools (0.9.9) unstable; urgency=low

  * Debian specific
    - FHS transition.
    - remove iso-entities in this package, and use entities
      in Debian sgml-data package.  Closes: #39665
    - try to fix an old wishlist bug.  use mawk when gawk is
      not available and replace dependencies to gawk with 
      gawk|mawk.  Closes: #25283
    - Old bug clean up.  Closes: #99810
    - use update-catalog instead of old install-sgmlcatalog
  * fix a bug in chapter handling code for html conversion.
    Thanks to Vanessa Conchodon.  Closes: #109077
  * change the default behavior to include subsections
    in the table of contents, and add the note for --toc
    option in manpages.  Closes: #96658
  * fix a bug in index handling code for info conversion.
    Thanks to Jim Van Zandt for his patch.  Closes: #79784
    (Actually, this has been fixed for months, I think.
     Just forgot to close the bug.)

 -- Taketoshi Sano <sano@debian.org>  Sun,  2 Sep 2001 00:28:43 +0900

linuxdoc-tools (0.9.8.1) unstable; urgency=low

  * Use symlinks instead of hard links for sgml2**** commands
    Thanks to James Troup for his notice. - Closes: #89063

 -- Taketoshi Sano <sano@debian.org>  Mon,  2 Jul 2001 20:22:27 +0900

linuxdoc-tools (0.9.8) unstable; urgency=low

  * change the order of nsgmls and onsgmls in configure.in
    (1st try nsgmls, and then onsgmls)


