=== debian/rules ===
#!/usr/bin/make -f
# Derived from: Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

SHELL=/bin/bash

package=linuxdoc-tools

# for FHS transition
DOCDIR=usr/share/doc/$(package)
MANDIR=usr/share/man
INFODIR=usr/share/info

# The next section may have to be extensively modified

build:
	$(checkdir)
	PATH=/usr/bin:$(PATH) ./configure --prefix=/usr \
	 --mandir=/$(MANDIR) --with-installed-nsgmls
	$(MAKE) prefix=/usr mandir=/$(MANDIR) PERL=/usr/bin/perl \
	  OPTIMIZE="-g -O2"
	touch build

clean:
	$(checkdir)
	-rm -f .depend
	-rm -f build
	-$(MAKE) distclean
	-find . -name \*~| xargs -r rm -f
	-rm -rf debian/tmp debian/*~ debian/files debian/substvars
	-for d in entity-map iso-entities ; do \
	     ( cd $$d && make distclean); \
	  done
	-rm -f {entity-map,iso-entities}/Makefile

binary-indep:   checkroot build
	$(checkdir)
	for i in text latex info; do \
	  rm -rf debian/$(package)-$$i; \
	  install -d debian/$(package)-$$i/$(DOCDIR)-$$i; \
	    cp debian/copyright.dependencies \
	      debian/$(package)-$$i/$(DOCDIR)-$$i/copyright; \
	    cp debian/changelog debian/$(package)-$$i/$(DOCDIR)-$$i/changelog; \
	    gzip -9f debian/$(package)-$$i/$(DOCDIR)-$$i/changelog*; \
	  install -d debian/$(package)-$$i/DEBIAN; \
	    sed -e 's/DRIVER/'$$i'/' debian/prerm.dependencies \
	      > debian/$(package)-$$i/DEBIAN/prerm; \
	    sed -e 's/DRIVER/'$$i'/' debian/postinst.dependencies \
	     > debian/$(package)-$$i/DEBIAN/postinst; \
	  dpkg-gencontrol -isp -plinuxdoc-tools-$$i -Pdebian/$(package)-$$i; \
	  chown -R root.root debian/$(package)-$$i; \
	  chmod -R a+r debian/$(package)-$$i/$(DOCDIR)-$$i; \
	  chmod -R u+w debian/$(package)-$$i; \
	  chmod -R g-ws debian/$(package)-$$i; \
	  chmod 0755 debian/$(package)-$$i/DEBIAN/{prerm,postinst}; \
	  dpkg --build debian/$(package)-$$i ..; \
	done


#	  install -d debian/$(package)-$$i/usr/bin; \
	    case "$$i" in \
	     text) DRVCMD="sgml2txt";; \
	     latex) DRVCMD="sgml2latex";; \
	     info) DRVCMD="sgml2info";; \
	     esac; \
	     cp debian/addition/$$DRVCMD \
	       debian/$(package)-$$i/usr/bin/; \
	  install -d debian/$(package)-$$i/$(MANDIR)/man1; \
	    cp man/$${DRVCMD}.1 debian/$(package)-$$i/$(MANDIR)/man1/; \
	    gzip -9f debian/$(package)-$$i/$(MANDIR)/man1/sgml2{txt,latex,info}.1; \
#	  chmod 0755 debian/$(package)-$$i/usr/bin/sgml2{txt,latex,info}; \


binary-arch:	checkroot build
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
#	cp debian/control debian/tmp/DEBIAN
	install debian/{prerm,postinst,postrm} debian/tmp/DEBIAN
	install -d debian/tmp/$(DOCDIR)
#
# create copyright file by merging some files
	cp debian/copyright debian/tmp/$(DOCDIR)
	echo -e '\n------------------\n The linuxdoc-tools license\n' >>\
		debian/tmp/$(DOCDIR)/copyright
	cat COPYING >>debian/tmp/$(DOCDIR)/copyright
	echo -e '\n------------------\n The sgmls license\n' >>\
		debian/tmp/$(DOCDIR)/copyright
	cat sgmls-1.1/LICENSE >>debian/tmp/$(DOCDIR)/copyright
#
# sp is no longer included.
#	echo -e '\n------------------\n The sp license\n' >>\
#		debian/tmp/$(DOCDIR)/copyright
#	cat sp/COPYING >>debian/tmp/$(DOCDIR)/copyright
	echo -e '\n------------------\n The iso-entities license\n' >>\
		debian/tmp/$(DOCDIR)/copyright
	cat iso-entities/COPYING >>debian/tmp/$(DOCDIR)/copyright
	echo -e '\n------------------\n The entity-map license\n' >>\
		debian/tmp/$(DOCDIR)/copyright
	cat entity-map/COPYING >>debian/tmp/$(DOCDIR)/copyright
#
# do 'make install'
	$(MAKE) prefix=`pwd`/debian/tmp/usr \
		PERL=/usr/bin/perl \
		mandir=`pwd`/debian/tmp/usr/share/man \
		bindir=`pwd`/debian/tmp/usr/bin install
#
# remove sgml2{text,latex,info}
	rm -f `pwd`/debian/tmp/usr/bin/sgml2{txt,latex,info}
#	rm -f `pwd`/debian/tmp/$(MANDIR)/man1/sgml2{txt,latex,info}.1
#
# copy shell scripts for sgml2{txt,latex,info}
	for i in txt latex info; do \
	  install -m 755 debian/addition/sgml2$$i \
	    debian/tmp/usr/bin/sgml2$$i; \
	done
# 
# some Debian specific work
	find debian/tmp/$(DOCDIR)/ -type f \
	     -not \( -name \*.gz -o -name copyright \) | xargs gzip -9f
	find debian/tmp/$(DOCDIR)/html -type f -name '*.gz'| xargs gzip -d
	install -d debian/tmp/$(INFODIR)
	mv debian/tmp/$(DOCDIR)/guide.info.gz \
		debian/tmp/$(INFODIR)/linuxdoc-sgml.info.gz
	(cd debian/tmp/$(DOCDIR) && \
		ln -s ../../info/linuxdoc-sgml.info.gz . )
	install -d debian/tmp/usr/share/sgml/
	mv debian/tmp/usr/share/linuxdoc-tools/dtd \
		debian/tmp/usr/share/sgml/
	ln -s ../sgml/dtd debian/tmp/usr/share/linuxdoc-tools/
	install -d debian/tmp/usr/share/texmf/tex/latex/misc/
	mv debian/tmp/usr/share/linuxdoc-tools/{linuxdoc-sgml,linuxdoctr-sgml,qwertz,null}.sty \
		debian/tmp/usr/share/texmf/tex/latex/misc
	rm -f debian/tmp/usr/share/linuxdoc-tools/*sty
#
# doc-base support
	install -d debian/tmp/usr/share/doc-base/
	cp debian/doc-base.linuxdoc-tools \
	  debian/tmp/usr/share/doc-base/linuxdoc-tools
#
# rewrite to use sgmlswhich wrapper 
	install -m 755 debian/addition/sgmlswhich \
	  debian/tmp/usr/share/linuxdoc-tools/sgmlswhich;
	install -m 755 debian/addition/awkwhich \
	  debian/tmp/usr/share/linuxdoc-tools/awkwhich;
	sed -e "s:/usr/bin/o\?nsgmls:/usr/share/linuxdoc-tools/sgmlswhich:" \
	    -e "s:/usr/bin/[gm]awk:/usr/share/linuxdoc-tools/awkwhich:" \
	   debian/tmp/usr/bin/linuxdoc >debian/tmp/usr/bin/linuxdoc.new;
	mv debian/tmp/usr/bin/linuxdoc.new debian/tmp/usr/bin/linuxdoc;
	chmod a+x debian/tmp/usr/bin/linuxdoc
#
# rewrite to use iso-entities from debian sgml-data package
	sed -e "s:prefix/share/sgml/iso-entities-8879.1986/iso-entities.cat:prefix/share/sgml/entities/sgml-iso-entities-8879.1986/catalog:" \
           debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm \
	   >debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm.new;
	   mv debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm.new \
	        debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm;
	chmod 0644 debian/tmp/usr/share/linuxdoc-tools/LinuxDocTools.pm;
#
# remove iso-entities directory
	rm -rf debian/tmp/usr/share/sgml/iso-entities-8879.1986
# other tasks to build package
	strip --remove-section=.comment --remove-section=.note \
	  --strip-unneeded debian/tmp/usr/bin/{rtf2rtf,sgmlsasp,sgmlpre}
	rm -f debian/tmp/usr/bin/*~
	gzip -9f debian/tmp/$(MANDIR)/man?/*
	cp debian/changelog debian/tmp/$(DOCDIR)/changelog
	# cp ChangeLog debian/tmp/$(DOCDIR)/changelog
	gzip -9f debian/tmp/$(DOCDIR)/changelog*
	dpkg-shlibdeps sgmls-1.1/sgmlsasp
	dpkg-gencontrol -isp -plinuxdoc-tools
	chown -R root.root debian/tmp
	chmod -R a+r debian/tmp/$(DOCDIR)
	chmod -R u+w debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f bin/linuxdoc.in
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
