## linuxdoc-tools 0.9.21-0osso1

=== debian/changelog ===
linuxdoc-tools (0.9.21-0osso1) unstable; urgency=low

  * Add GPL licence text to source package

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 29 Aug 2007 11:40:23 +0300
