## linuxdoc-tools 0.9.21-0.2

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Obsolete code in generated LaTeX input files (Closes: #322000)

 -- Alexander Wirt <formorer@debian.org>  Sun, 25 Dec 2005 12:59:08 +0100

linuxdoc-tools (0.9.21-0.1) unstable; urgency=low

  * Make sgml2latex work with teTeX-3.0.  NMU since this fix is necessary
    to prevent FTBFS bugs (closes: #321998)

 -- Frank Kster <frank@debian.org>  Tue, 18 Oct 2005 19:08:34 +0200
