## linuxdoc-tools 0.9.21-0.4

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * entity-map/sdata/ISOnum.2html:
    - Add translations for some HTML entities that describe
      ascii characters, which should just be written plain
      in HTML files. Patch by Adeodato Simó (closes: #233919).
  * lib/info.awk:
    - No need to escape braces. This was producing warnings with
      gawk. Patch by Spiro Trikaliotis (closes: #352022)
  * debian/{prerm,postinst}:
    - Use 'which' instead of non-POSIX 'command -v' (closes: #292994)
  * debian/control:
    - Make sgml-base dependency be at least on 1.04, where
      'update-catalog' was included (closes: #187467)
  * debian/copyright.dependencies:
    - Refer to common GPL copyright file
  * debian/rules:
    - Make sure non binary perl module is installed in the right
      location under /usr/share/perl5, not /usr/lib/perl5.
  * lib/LinuxDocTools.pm:
    - Check for /etc/papersize presence and set default to letter if
      appropriate (closes: #185233)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 10 May 2006 15:32:35 +0200

linuxdoc-tools (0.9.21-0.3) unstable; urgency=low

  * Non-maintainer upload.
  
  [Agustin Martin]
  * debian/changelog: Converted to utf-8
  * lib/dist/fmt_lyx.pl: Fix indent level problems when using
    sgml2lyx. An extra '$_=" ".<$infile>;' in the @/tag@ section.
    was causing problems with $ident_level (closes: #357029)
  * lib/dist/linuxdoc-tools/latex2e/{tr-,}mapping.orig removed
  * lib/dist/fmt_latex2e.pl,
    lib/dist/linuxdoc-tools/latex2e/{tr-,}mapping:
    - Change preamble creation mechanism to use @FOO@ like strings
      to be substituted by the right values (closes: #197914, #259266)
    - Typo fixed (non escaped []).
  * debian/rules: Make sure debian/linuxdoc-tools-{info,latex,txt} dirs
    are removed in clean target as well as other stuff
  
  [Joey Hess]
  * debian/{postinst,prerm}{,.dependencies}
    - Removed /usr/doc symlink (closes: #322791, #342746)

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  9 May 2006 18:13:48 +0200
