=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: linuxdoc-tools
 Architecture: any
-Depends: ${shlibs:Depends}, sp|opensp, sgml-data, sgml-base, gawk|mawk, perl
+Depends: ${shlibs:Depends}, sp|opensp, sgml-data, sgml-base (>= 1.04), gawk|mawk, perl
 Suggests: tetex-base (>= 0.9.990406), tetex-bin, texinfo, info-browser,  tetex-extra, groff, linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
 Provides: linuxdoc-sgml
 Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)
