## linuxdoc-tools 0.9.21-0.5

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.5) unstable; urgency=low

  * Non-maintainer upload.
  * lib/dist/fmt_html.pl:
    - Make sure multiline sect names are correctly treated
      in $html->{preASP} (closes: #193792).
    - Minor simplifications in $html->{preASP}.
  * lib/LinuxDocTools.pm:
    - Signal error and provide more info if system call fails.
  * debian/control:
    - Add texlive alternative TeX dependencies (closes: #381468).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 15 Nov 2006 12:45:35 +0100
