## linuxdoc-tools 0.9.21-0.5build1

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.5build1) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:22:14 +0000
