=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
 
 Package: linuxdoc-tools-latex
 Architecture: all
-Depends: linuxdoc-tools, tetex-base, tetex-bin, tetex-extra
+Depends: linuxdoc-tools, tetex-base | texlive-latex-base, tetex-bin | texlive-base-bin, tetex-extra | texlive-latex-recommended
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
  LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
