## linuxdoc-tools 0.9.21-0.7

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.7) unstable; urgency=low

  * Non-maintainer upload.
  * lib/dist/fmt_txt.pl:
    - Cosmetic changes.
    - Add emacs local variables section to have indent-level 2.
    - "-P-c" is passed to grotty as default, unless something
      else is set from the command line. This should fallback
      to the old (overstriking) grotty behavior and avoid escape
      sequences unless explicitely desired. Thanks David Lawyer
      for the hint (closes: #175575, #419324).
  * lib/dist/fmt_{latex2e,txt}.pl
    - Make sure underscores are passed as &lowbar; (closes: #194941)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 26 Apr 2007 16:00:02 +0200

linuxdoc-tools (0.9.21-0.6) unstable; urgency=low

  * Non-maintainer upload.
  * lib/dist/linuxdoc-tools/html/mapping:
    - Make sure <p> starts a new line in html mode, so it
      does not mess with title declaration (closes: #182775).
  * lib/dist/linuxdoc-tools/latex2e/{,tr-}mapping:
    - Removed unneeded newlines from latex2e mapping
      (closes: #168482).
    - Make sure pdftex is used before setting \pdfcompresslevel.
    - Extend babel options selection to other document classes.
  * lib/dist/fmt_latex2e.pl:
    - Remove spurious '\n' (not real '\\n') after leading "-".
  * lib/LinuxDocTools.pm:
    - Use -t LIST option to expand command instead of obsolete and
      undocumented (but still working) -LIST (closes: #215271).
  * debian/control:
    - Fix package description, linuxdoc-tools is currently in use
      by the LDP. Thanks David Lawyer for his suggestions
      (closes: #406708)
    - Add missing texlive dependencies and build dependencies and
      make texlive preferrable to tetex, to help the texlive
      transition.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 12 Apr 2007 12:47:10 +0200
