=== debian/control ===
--- 
+++ 
@@ -3,22 +3,19 @@
 Priority: optional
 Maintainer: Taketoshi Sano <sano@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: sp|opensp, tetex-bin, texinfo, groff (>= 1.15.3.1), tetex-extra, flex, gawk|mawk, perl
+Build-Depends: sp|opensp, texlive-base-bin|tetex-bin, texinfo, groff (>= 1.15.3.1), texlive-latex-recommended|tetex-extra, flex, gawk|mawk, perl
 
 Package: linuxdoc-tools
 Architecture: any
 Depends: ${shlibs:Depends}, sp|opensp, sgml-data, sgml-base (>= 1.04), gawk|mawk, perl
-Suggests: tetex-base (>= 0.9.990406), tetex-bin, texinfo, info-browser,  tetex-extra, groff, linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
+Suggests: texlive-latex-base|tetex-base (>= 0.9.990406), texlive-base-bin|tetex-bin, texinfo, info-browser, texlive-latex-recommended|tetex-extra, groff, linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
 Provides: linuxdoc-sgml
 Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)
 Replaces: linuxdoc-sgml, sgml-tools, linuxdoc-tools-text (<< 0.9.20), linuxdoc-tools-info (<< 0.9.20), linuxdoc-tools-latex (<< 0.9.20)
 Description: SGML converters for the LinuxDoc DTD only.
  LinuxDoc is a kind of SGML DTD. It was created for
- the Linux HOWTOs, and had been used officially by
- the Linux Documentation Project (LDP).  Now LDP has 
- aggressively migrated into the DocBook world, but many 
- documents are still available in LinuxDoc DTD sgml. 
- So users may still need the tool for LinuxDoc, therefore
+ the Linux HOWTOs, and is being used by the Linux
+ Documentation Project (LDP).
  LinuxDoc-Tools was created on the basis of sgml-tools_v1.
  .
  The main command is linuxdoc, and -B option is provided
@@ -61,7 +58,7 @@
 
 Package: linuxdoc-tools-latex
 Architecture: all
-Depends: linuxdoc-tools, tetex-base | texlive-latex-base, tetex-bin | texlive-base-bin, tetex-extra | texlive-latex-recommended
+Depends: linuxdoc-tools, texlive-latex-base|tetex-base, texlive-base-bin|tetex-bin, texlive-latex-recommended|tetex-extra
 Conflicts: linuxdoc-tools (<< 0.9.20)
 Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
  LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
