=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,13 @@
 	     ( cd $$d && make distclean); \
 	  done
 	-rm -f {entity-map,iso-entities}/Makefile
+#     --- Remove some stuff left behind
+	rm -f doc/guide.txt
+	-rmdir doc/rtf
+#     --- Remove extra packages bulid dirs
+	rm -rf debian/linuxdoc-tools-info
+	rm -rf debian/linuxdoc-tools-latex
+	rm -rf debian/linuxdoc-tools-text
 
 binary-indep:   checkroot build
 	$(checkdir)
@@ -114,6 +121,12 @@
 		PERL=/usr/bin/perl \
 		mandir=`pwd`/debian/tmp/usr/share/man \
 		bindir=`pwd`/debian/tmp/usr/bin install
+
+# Install non binary perl module in the right location
+	( cd `pwd`/debian/tmp/usr/ && \
+		mkdir -p share/perl5/Text && \
+		mv lib/perl5/Text/*.pm share/perl5/Text && \
+		rmdir lib/perl5/Text lib/perl5/ )
 #
 # remove sgml2{text,latex,info}
 	rm -f `pwd`/debian/tmp/usr/bin/sgml2{txt,latex,info}
