## linuxdoc-tools 0.9.21-0.9

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.9) unstable; urgency=low

  * Non-maintainer upload.
  * lib/dist/fmt_txt.pl:
    - Rewritten TOC creation code. Should now work with long
      lines (wrappping them) and chapters, as well as remove
      a number of undesired stuff from it (closes: #425537).
    - Make sure we abort if groff creates an empty file
      (closes: #248992).
    - Make sure zero width spaces are inserted in front of
      ' at start of line (closes: #426696).
    - Make sure HY register is set to 0 for languages other
      than english before sending to groff (closes: #16304).
    - Merge $txt->{cutblank} functionality into postASP.
    - Cosmetic changes.
  * doc/Makedoc.sh:
    - Use '-b 1' for guide text build.
  * lib/LinuxDocTools/Lang.pm:
    - Added patch from Fedora FC6 with Finnish strings
      (closes: #423216)
  * README,debian/{control,rules,README.Debian}:
    - Rewrite package description, and move some of the
      former info to README and README.Debian. Thanks David
      Lawyer for his help (closes: #426562).
    - Install README.Debian with info about packages required
      for extra functionality. Refer to this needs in package
      description (closes: #188977).
  * entity-map/sdata/ISOnum.2l1tr:
    - Replace &nbsp; by groff non breaking space, '\ ', instead
      of using latin1(160), disliked by groff.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 31 May 2007 18:40:49 +0200

linuxdoc-tools (0.9.21-0.8) unstable; urgency=low

  * Non-maintainer upload.
  * lib/dist/fmt_txt.pl:
    - Make -f pass "-cbou" to grotty unless something else
      is passed. Remove old un-overstriking code.
    - Cosmetic changes.	
  * debian/changelog: Minor fixes in old entries.
  * doc/Makedoc.sh:
    - Use 'times' package for guide latex build. This makes
      linuxdoc package size nearly half.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  7 May 2007 12:11:09 +0200
