=== debian/control ===
--- 
+++ 
@@ -12,39 +12,19 @@
 Provides: linuxdoc-sgml
 Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)
 Replaces: linuxdoc-sgml, sgml-tools, linuxdoc-tools-text (<< 0.9.20), linuxdoc-tools-info (<< 0.9.20), linuxdoc-tools-latex (<< 0.9.20)
-Description: SGML converters for the LinuxDoc DTD only.
- LinuxDoc is a kind of SGML DTD. It was created for
- the Linux HOWTOs, and is being used by the Linux
- Documentation Project (LDP).
- LinuxDoc-Tools was created on the basis of sgml-tools_v1.
+Description: convert LinuxDoc SGML source into other formats
+ LinuxDoc sgml is a highly configurable text format for writing
+ documentation, something like html only it's simpler and can be
+ converted to various other formats, including html for websites.
+ You write a LinuxDoc document using any text editor such as vim.
+ Then you use linuxdoc-tools to convert it to html, rtf, plain-text
+ (install linuxdoc-tools-text), info (install linuxdoc-tools-info),
+ latex, dvi or postscript (install linuxdoc-tools-latex). The
+ sgmltools-lite package can convert LinuxDoc to DocBook format.
  .
- The main command is linuxdoc, and -B option is provided
- to choose the proper backend driver for desired output.
- linuxdoc -B check: for syntax checking
- linuxdoc -B html: conversion to html
- linuxdoc -B info: conversion to info
- linuxdoc -B latex: conversion to latex, dvi, and postscript
- linuxdoc -B lyx: conversion to lyx
- linuxdoc -B rtf: conversion to rtf
- linuxdoc -B txt: conversion to text
- .
- HTML can be generated without any other Debian text
- processing package, but for the other formats the
- appropriate packages will have to be installed.
-  - Text conversion requires groff
-  - LaTeX conversion requires tetex-base, tetex-bin, and tetex-extra
-  - Info conversion requires texinfo
- You can install linuxdoc-tools-text for required dependency of
- text conversion.  linuxdoc-tools-latex and linuxdoc-tools-info
- are provided for dependencies of latex or info conversion.
- .
- This linuxdoc-tools has been designed and implemented only
- for linuxdoc DTD.
- .
- If you wish to convert debiandoc DTD documents,
- Please install and use debiandoc-sgml package.
- If you wish to convert docbook DTD documents,
- Please install and use jade (with or without sgmltools-lite).
+ LinuxDoc can automatically create a table of contents.  It's easier to
+ write and read than docbook since it allows one to omit most closing
+ tags while paragraphs are separated by just blank lines.
 
 Package: linuxdoc-tools-text
 Architecture: all
