=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 #     --- Remove some stuff left behind
 	rm -f doc/guide.txt
 	-rmdir doc/rtf
-#     --- Remove extra packages bulid dirs
+#     --- Remove extra packages build dirs
 	rm -rf debian/linuxdoc-tools-info
 	rm -rf debian/linuxdoc-tools-latex
 	rm -rf debian/linuxdoc-tools-text
@@ -188,6 +188,7 @@
 	rm -f debian/tmp/usr/bin/*~
 	gzip -9f debian/tmp/$(MANDIR)/man?/*
 	cp debian/changelog debian/tmp/$(DOCDIR)/changelog
+	install -m 644 debian/README.Debian debian/tmp/$(DOCDIR)
 	# cp ChangeLog debian/tmp/$(DOCDIR)/changelog
 	gzip -9f debian/tmp/$(DOCDIR)/changelog*
 	dpkg-shlibdeps sgmls-1.1/sgmlsasp
@@ -213,5 +214,3 @@
 	$(checkdir)
 	test root = "`whoami`"
 
-.PHONY: binary binary-arch binary-indep clean checkroot
-
