## linuxdoc-tools 0.9.21-0.11

=== debian/changelog ===
linuxdoc-tools (0.9.21-0.11) unstable; urgency=low

  * Non-maintainer upload.
  * lib/LinuxDocTools/Html2Html.pm:
    - Do not generate a fake html single file for report
      style when using '-s 0'. Thanks Xavier Droubay for
      the patch (Closes: #433021).
  * Makefile.in:
    - Do not unconditionally strip sgmlpre (Closes: #437479).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 11 Sep 2007 13:32:06 +0200

linuxdoc-tools (0.9.21-0.10) unstable; urgency=low

  * Non-maintainer upload.
  * Makefile.in:
    - Complete distclean target.
  * debian/{doc-base.linuxdoc-tools,linuxdoc-tools.doc-base}
    - doc-base.linuxdoc-tools renamed to linuxdoc-tools.doc-base
    - Removed linuxdoc-sgml entry. doc-base does not support it.
  * Build mechanism migrated to debhelper:
    - debian/rules: simplified and migrated to debhelper.
    - debian/control: Use ${misc:Depends} and ${perl:Depends}
    - debian/{postinst,prerm}.dependencies removed, they will
      be recreated by debhelper when building package.
    - debian/{postinst,prerm}: will only run mktexlsr on
      /usr/share/texmf when needed. Using dh_installtex seems
      an overkill here. debhelper will add the rest.
    - debian/linuxdoc-tools.info-base: new file with info file
      header, for dh_installinfo benefit.
    - debian/linuxdoc-tools.{docs,sgmlcatalogs}: new files
  * debian/control:
    - Build-Dependencies: Remove tetex stuff, rearrange and add
      texlive-fonts-recommended.
  
 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 18 Jun 2007 13:15:13 +0200
