=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Taketoshi Sano <sano@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: sp|opensp, texlive-base-bin|tetex-bin, texinfo, groff (>= 1.15.3.1), texlive-latex-recommended|tetex-extra, flex, gawk|mawk, perl
+Build-Depends: debhelper (>=4 ), sp|opensp, texinfo, groff (>= 1.15.3.1), flex, gawk|mawk, perl, texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended
 
 Package: linuxdoc-tools
 Architecture: any
-Depends: ${shlibs:Depends}, sp|opensp, sgml-data, sgml-base (>= 1.04), gawk|mawk, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, sp|opensp, sgml-data, gawk|mawk
 Suggests: texlive-latex-base|tetex-base (>= 0.9.990406), texlive-base-bin|tetex-bin, texinfo, info-browser, texlive-latex-recommended|tetex-extra, groff, linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
 Provides: linuxdoc-sgml
 Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)
