## linuxdoc-tools 0.9.51

=== debian/changelog ===
linuxdoc-tools (0.9.51) unstable; urgency=low

  * lib/LinuxDocTools.pm:
    - (process_options): When checking for an explicit backend option,
      do not shift in the while condition itself, 0 in options like
      '-s 0' will otherwise stop looping (Closes: #486965).
  * debian/control:
    - Bump standards version to 3.8.0. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 19 Jun 2008 13:45:57 +0200

linuxdoc-tools (0.9.50) unstable; urgency=low

  * lib/LinuxDocTools.pm:
    - First cut of a major rewrite
    - ldt_searchfile: New function to look for readable files in
      different locations. Make sgml catalogs, backends, entities,
      styles  and mapping searches use it. $file existence check
      will also use it.
    - Move dtd search from (process_file) to separate functions. latin1
      to sgml conversion moved to a new ldt_latin1tosgml function.
    - Use File::Temp::tempdir for temporary dir creation.
    - Avoid FileHandle package use.
    - Define intermediate file names in a single place outside of the
      functions where they are used. This should simplify renaming them.
    - Code reformatted, trailing whitespace removed, comments improved.
  * lib/LinuxDocTools.pm, lib/dist/fmt_info.pl, lib/dist/fmt_latex2e.pl:
    - Check system calls for return codes and proceed as appropriate.
    - Improve error messages, making them more consistent.
  * lib/dist/fmt_latex2e.pl:
    - Fix bibtex call, should use basename.
    - Minor cosmetic changes.
  * doc/Makedoc.sh:
    - Use mktemp to create doc build temporary dir
  * debian/control:
    - Add Vcs fields

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 05 Jun 2008 13:53:58 +0200

linuxdoc-tools (0.9.31) unstable; urgency=low

  * doc/Makedoc.sh:
    - Make sure also searches for mawk. Was looking only for
      gawk and FTBFS if only mawk is present. (closes: #483166)
  * VERSION bumped.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 28 May 2008 00:46:52 +0200

linuxdoc-tools (0.9.30) unstable; urgency=low

  * lib/dist/fmt_*.pl: Major reformatting and trailing whitespace removal.
  * Some fixes for the info backend:
    - lib/info.awk moved to lib/filters/info-postASP.awk: Fix
      info node creation by the info backend.
    - lib/dist/fmt_info.pl: Fixed regexps and improved code.
  * lib/dist/fmt_html.pl:
    - Better %html_escapes handling.
    - Cleaner $ext and $img options handling.
  * lib/dist/fmt_latex2e.pl: Better regexp.
  * lib/dist/fmt_lyx.pl:
    - Major rewrite of postASP. Minor changes in other functions.
    - Modified to honour below changes in mapping file
    - lib/filters/lyx-preNSGMLS.pl: New perl filter for preNSGMLS.
  * lib/dist/linuxdoc-tools/lyx/mapping:
    - Fix header
    - Fix references format
    - Improve family/series/shape strings
    - Support for <sc>, <sf> and <sl> tags

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 18 May 2008 22:31:31 +0200

linuxdoc-tools (0.9.22) unstable; urgency=low

  * debian/control:
    - New maintainer, set to the Debian XML/SGML Group with myself
      as uploader. (Closes: #474126).
    - Standards bumped to 3.7.3, no changes needed.
    - Split long Suggests, Replaces, Depends and Build-Depends in
      leading whitespace separared lines.
  * bin/linuxdoc.in:
    - "Local Vars" section added for emacs.
  * debian/{changelog,control}:
    - Clean trailing whitespace.
  * debian/rules:
    - Do not ignore make clean errors if a makefile is present.
  * lib/dist/linuxdoc-tools/groff/{tr-,}mapping:
    - Do not create a TOC from here, we are already doing
      that from fmt_txt.pl. Updated comments to be consistent
      with this.
    - Removed trailing whitespace.
  * Makefile.in:
    - Make sure CVS stuff is not installed
  * debian/copyright, docs/{CHANGES,CONTRIBUTORS}.old-v1:
    - Update Copyright notice and make sure old CHANGES and
      CONTRIBUTORS files are included.
  * man/sgmlpre.1: Typo fixed.
  * debian/linuxdoc-tools.doc-base: Section fixed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Apr 2008 13:26:58 +0200
